#### D.2.10.12 randomBinomial

Procedure from library `random.lib` (see random_lib).

Usage:
  randomBinomial(k,u[,o,b]); k,u,o,b integers

Return:
  binomial ideal, k homogeneous generators of degree d, u<=d<=o, with randomly chosen monomials and coefficients in the interval [-b,b] (default: u=o, b=10).

Example:

    LIB "random.lib";
    ring  r = 0,(x,y,z),lp;
    ideal i = randomBinomial(4,5,6);
    i;
    ==> i[1]=-x4z-xz4
    ==> i[2]=8x2y3+8xy3z
    ==> i[3]=-4x2y2z2-4xy5
    ==> i[4]=5x3yz2+5xz5

User manual for Singular version 4.4.1, 2025, generated by texi2html.